var moment = require('moment');
var rk = require('required-keys');
var userInUpload = require('docparse-user-in-upload');
/**
 * @param {Object} data should have the following fields
 * @param {Upload} data.upload
 * @param {User} data.user
 */
module.exports = function(data, cb) {
  var keys = ['userID', 'upload'];
  var err = rk.truthySync(data, keys);
  if (err) { return cb(err); }
  // upload exists but user is not linked in the "user_details" field.
  var user = data.user;
  var upload = data.upload;
  var userID = data.userID;
  if (userID.toString) {
    userID = userID.toString();
  }
  userInUpload(data, function (err, reply) {
    if (err) { return cb(err); }
    if (reply) {
      return cb(null, upload);
    }
    var details = getUserDetailsInUpload(userID, upload);
    if (!details) {
      upload.user_details.push({
        userID: userID,
        date_uploaded: moment(),
        filename: data.filename
      });
    }
    if (upload.users.indexOf(userID) === -1) {
      upload.users.push(userID);
    }
    upload.save(function (err) {
      if (err) { return cb(err); }
      cb(null, upload);
    });
  });
};



function getUserDetailsInUpload(userID, upload) {
  var allDetails = upload.toObject().user_details;
  for (var i in allDetails) {
    var details = allDetails[i];
    if (details.userID === userID) {
      return details;
    }
  }
}